﻿Imports System.Linq
Imports System.Text
Imports DomainModel
Imports SampleSupport
Imports IdeaBlade.EntityModel

Namespace SampleQueries

  Friend Class NorthwindBasedSample
	  Inherits DevForceSampleHarness

	Public Sub New()
		MyBase.New()
	End Sub

	Public Overrides ReadOnly Property EntityManager() As EntityManager
	  Get
		  Return Context
	  End Get
	End Property

	' strongly typed version for use in subclass
	Protected ReadOnly Property Context() As DomainModelEntityManager
	  Get
		  Return __context
	  End Get
	End Property

	Private Shared __context As New DomainModelEntityManager()

  End Class
End Namespace
