Imports SampleSupport
Imports System.IO

Namespace SampleQueries
  Friend NotInheritable Class Program
	''' <summary>
	''' The main entry point for the application.
	''' </summary>
	Private Sub New()
	End Sub
	<STAThread>
	Shared Sub Main(ByVal args() As String)
	  Dim harnesses As New List(Of SampleHarness)()

	  Dim eSqlSamples = New EntitySQLSamples()
	  harnesses.Add(eSqlSamples)

	  Dim linqToEntitiesSamples = New LinqToEntitiesSamples()
	  harnesses.Add(linqToEntitiesSamples)

	  Application.EnableVisualStyles()

	  Using form As New SampleForm("Entity Framework Sample Query Explorer", harnesses)
		form.ShowDialog()
	  End Using
	End Sub
  End Class
End Namespace